import request from '@/utils/request'

// 查询管子类别列表
export function listPipeType(query) {
  return request({
    url: '/gas/pipeType/list',
    method: 'get',
    params: query
  })
}

// 查询管子类别详细
export function getPipeType(id) {
  return request({
    url: '/gas/pipeType/' + id,
    method: 'get'
  })
}

// 新增管子类别
export function addPipeType(data) {
  return request({
    url: '/gas/pipeType',
    method: 'post',
    data: data
  })
}

// 修改管子类别
export function updatePipeType(data) {
  return request({
    url: '/gas/pipeType',
    method: 'put',
    data: data
  })
}

// 删除管子类别
export function delPipeType(id) {
  return request({
    url: '/gas/pipeType/' + id,
    method: 'delete'
  })
}
