import request from '@/utils/request'

// 小区下拉框
export function getArea() {
  return request({
    url: '/gas/area/getArea',
    method: 'get',
  })
}
// 合格/不合格统计-小区
export function getExamineArea(query) {
  return request({
    url: '/gas/area/getExamineArea',
    method: 'get',
    params: query
  })
}

// 合格/不合格统计-工长
export function getExamineForeman(query) {
  return request({
    url: '/gas/user/getExamineForeman',
    method: 'get',
    params: query
  })
}
// 职工下拉框
export function getWorker() {
  return request({
    url: '/gas/user/getWorker',
    method: 'get',
  })
}
// 合格/不合格统计-职工
export function getExamineWorker(query) {
  return request({
    url: '/gas/user/getExamineWorker',
    method: 'get',
    params: query
  })
}
// 服务统计-针对小区
export function getExamineServe(query) {
  return request({
    url: '/gas/area/getExamineServe',
    method: 'get',
    params: query
  })
}
//管材类别统计
export function getExaminePipeType(query) {
  return request({
    url: '/gas/order/getExaminePipeType',
    method: 'get',
    params: query
  })
}
//管材长度统计
export function getExaminePipeLength(query) {
  return request({
    url: '/gas/order/getExaminePipeLength',
    method: 'get',
    params: query
  })
}
//自闭阀类别统计
export function getExamineValveType(query) {
  return request({
    url: '/gas/order/getExamineValveType',
    method: 'get',
    params: query
  })
}
//小区汇总统计
export function getAreaSum(query) {
  return request({
    url: '/gas/area/getAreaSum',
    method: 'get',
    params: query
  })
}
