import request from '@/utils/request'

// 查询其他工程列表
export function listOtherEngine(query) {
  return request({
    url: '/gas/otherEngine/list',
    method: 'get',
    params: query
  })
}

// 查询其他工程详细
export function getOtherEngine(id) {
  return request({
    url: '/gas/otherEngine/' + id,
    method: 'get'
  })
}

// 新增其他工程
export function addOtherEngine(data) {
  return request({
    url: '/gas/otherEngine',
    method: 'post',
    data: data
  })
}

// 修改其他工程
export function updateOtherEngine(data) {
  return request({
    url: '/gas/otherEngine',
    method: 'put',
    data: data
  })
}

// 删除其他工程
export function delOtherEngine(id) {
  return request({
    url: '/gas/otherEngine/' + id,
    method: 'delete'
  })
}
