import request from '@/utils/request'

// 查询黑名单参数设置列表
export function listParameter(query) {
  return request({
    url: '/gas/parameter/list',
    method: 'get',
    params: query
  })
}

// 查询黑名单参数设置详细
export function getParameter(id) {
  return request({
    url: '/gas/parameter/' + id,
    method: 'get'
  })
}

// 新增黑名单参数设置
export function addParameter(data) {
  return request({
    url: '/gas/parameter',
    method: 'post',
    data: data
  })
}

// 修改黑名单参数设置
export function updateParameter(data) {
  return request({
    url: '/gas/parameter',
    method: 'put',
    data: data
  })
}

// 删除黑名单参数设置
export function delParameter(id) {
  return request({
    url: '/gas/parameter/' + id,
    method: 'delete'
  })
}
export function getOne(query) {
  return request({
    url: '/gas/parameter/getOne',
    method: 'get',
    params: query
  })
}
