import request from '@/utils/request'

// 查询管子长度列表
export function listPipeLength(query) {
  return request({
    url: '/gas/pipeLength/list',
    method: 'get',
    params: query
  })
}

// 查询管子长度详细
export function getPipeLength(id) {
  return request({
    url: '/gas/pipeLength/' + id,
    method: 'get'
  })
}

// 新增管子长度
export function addPipeLength(data) {
  return request({
    url: '/gas/pipeLength',
    method: 'post',
    data: data
  })
}

// 修改管子长度
export function updatePipeLength(data) {
  return request({
    url: '/gas/pipeLength',
    method: 'put',
    data: data
  })
}

// 删除管子长度
export function delPipeLength(id) {
  return request({
    url: '/gas/pipeLength/' + id,
    method: 'delete'
  })
}
