import request from '@/utils/request'

// 查询自闭阀类别列表
export function listValve(query) {
  return request({
    url: '/gas/valve/list',
    method: 'get',
    params: query
  })
}

// 查询自闭阀类别详细
export function getValve(id) {
  return request({
    url: '/gas/valve/' + id,
    method: 'get'
  })
}

// 新增自闭阀类别
export function addValve(data) {
  return request({
    url: '/gas/valve',
    method: 'post',
    data: data
  })
}

// 修改自闭阀类别
export function updateValve(data) {
  return request({
    url: '/gas/valve',
    method: 'put',
    data: data
  })
}

// 删除自闭阀类别
export function delValve(id) {
  return request({
    url: '/gas/valve/' + id,
    method: 'delete'
  })
}
